package com.ruoyi.system.domain;

import java.util.Date;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;

public class SysAchievement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @Excel(name = "ID", cellType = ColumnType.NUMERIC)
    private Long id;

    @Excel(name = "成果名称")
    @NotBlank(message = "成果名称不能为空")
    private String achievementName;

    @Excel(name = "缩略图")
    private String thumbnail;

    @Excel(name = "成果分类")
    private String achievementCategory;

    @Excel(name = "研究领域")
    private String researchField;

    @Excel(name = "研究单位")
    private String researchUnit;

    @Excel(name = "研究人员")
    private String researchers;

    @Excel(name = "简介")
    private String introduction = "";

    @Excel(name = "详情")
    private String details = "";

    @Excel(name = "发布时间")
    private Date publishTime;

    @Excel(name = "发布人")
    private String publisher;

    @Excel(name = "排序", cellType = ColumnType.NUMERIC)
    private Integer sort;

    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private String status;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getAchievementName()
    {
        return achievementName;
    }

    public void setAchievementName(String achievementName)
    {
        this.achievementName = achievementName;
    }

    public String getThumbnail()
    {
        return thumbnail;
    }

    public void setThumbnail(String thumbnail)
    {
        this.thumbnail = thumbnail;
    }

    public String getAchievementCategory()
    {
        return achievementCategory;
    }

    public void setAchievementCategory(String achievementCategory)
    {
        this.achievementCategory = achievementCategory;
    }

    public String getResearchField()
    {
        return researchField;
    }

    public void setResearchField(String researchField)
    {
        this.researchField = researchField;
    }

    public String getResearchUnit()
    {
        return researchUnit;
    }

    public void setResearchUnit(String researchUnit)
    {
        this.researchUnit = researchUnit;
    }

    public String getResearchers()
    {
        return researchers;
    }

    public void setResearchers(String researchers)
    {
        this.researchers = researchers;
    }

    public String getIntroduction()
    {
        return introduction;
    }

    public void setIntroduction(String introduction)
    {
        this.introduction = introduction;
    }

    public String getDetails()
    {
        return details;
    }

    public void setDetails(String details)
    {
        this.details = details;
    }

    public Date getPublishTime()
    {
        return publishTime;
    }

    public void setPublishTime(Date publishTime)
    {
        this.publishTime = publishTime;
    }

    public String getPublisher()
    {
        return publisher;
    }

    public void setPublisher(String publisher)
    {
        this.publisher = publisher;
    }

    public Integer getSort()
    {
        return sort;
    }

    public void setSort(Integer sort)
    {
        this.sort = sort;
    }

    public String getStatus()
    {
        return status;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("achievementName", getAchievementName())
            .append("thumbnail", getThumbnail())
            .append("achievementCategory", getAchievementCategory())
            .append("researchField", getResearchField())
            .append("researchUnit", getResearchUnit())
            .append("researchers", getResearchers())
            .append("introduction", getIntroduction())
            .append("details", getDetails())
            .append("publishTime", getPublishTime())
            .append("publisher", getPublisher())
            .append("sort", getSort())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
